#!/bin/bash
# ------------------------------------------------------------------- 
# Fichier    : micod.bat
# Objet      : Script de lancement de Mico.           
#                                                                      
#  Module      : Up ! Appplication System.                             
#  Auteur-Date : DUVAL Jean-Pierre - Novembre 2003.                    
#  ------------------------------------------------------------------- 
#                           Observations                               
#                                                                       
#                                                                       
#  ------------------------------------------------------------------- 

export PATH=/usr/local/sbin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/X11R6/bin
export LD_LIBRARY_PATH=/usr/X11R6/lib:/usr/X11R6/lib/modules

# Configuration Mico 2.3.11
# =========================
export MICO_HOME=/mico/mico2311/debug/linux24
export PATH=$PATH:$MICO_HOME/bin
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$MICO_HOME/bin

# Lancement de Micod
# ==================
# $MICO_HOME/bin/micod -ORBIIOPAddr inet:localhost:8888 -ORBImplRepoAddr inet:localhost:8889 -ORBIfaceRepoAddr inet:localhost:8890 --forward
$MICO_HOME/bin/micod -ORBIIOPAddr inet:localhost:9999 --db $MICO_HOME/db/db-micod.txt --forward &

